package ajtest;


public aspect CallReplacement{
    pointcut inTest() : execution(public void ClientBeanTest.test*());
    
    pointcut callToRegister(String name) : cflow(inTest()) && 
                               call(void CustomerManager.register(String)) && 
                               args(name);
    
    pointcut callToGetCustomersOver() : cflow(inTest()) && 
                               call(String[] CustomerManager.getCustomersOver(int));
    
    void around(String name) throws NameExistsException: callToRegister(name) {
        if(!name.equals(ClientBeanTest.NEW_CUSTOMER)){
            throw new NameExistsException(name + " already exists!");
        }

    }
    
    Object around() : callToGetCustomersOver() {
        String[] customers = new String[55];
        for(int i = 0; i < customers.length; i++){
            customers[i] = "Customer Number " + i;
        }
        return customers;
    }
}