/*
 * ClientBean.java
 *
 * Created on April 2, 2002, 9:49 PM
 */

package ajtest;
import javax.naming.*;
import javax.rmi.*;
/**
 *
 * @author  nick
 * @version 
 */
public class ClientBean {
    private Context initialContext;
    private CustomerManager manager;
    
    /** 
     * Includes standard code for creating an EJB.
     */
    public ClientBean() throws Exception{
        initialContext = new InitialContext();
        Object obj = initialContext.lookup("java:comp/env/ejb/CustomerManager");
        CustomerManagerHome managerHome = (CustomerManagerHome)obj;
        /*Resin uses Burlap instead of RMI-IIOP as its default network protocol
         * so the usual RMI cast is omitted. Mock Objects survive the cast just fine.
         */
        //(CustomerManagerHome)PortableRemoteObject.narrow(obj, CustomerManager.class);
        manager = managerHome.create();
    }
    
    public String[] getCustomers(int ageInYears) throws Exception{
        return manager.getCustomersOver(ageInYears);
    }
    
    public boolean register(String name){
        try{
            manager.register(name);
            return true;
        }
        catch(Exception e){
            return false;
        }
    }
}
