package ajtest;

import javax.naming.*;
import junit.framework.*;
import org.apache.cactus.ServletTestCase;

public class ClientBeanTest extends TestCase {

    public ClientBeanTest(java.lang.String testName) {
        super(testName);
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(ClientBeanTest.class);
        return suite;
    }

    public static final String NEW_CUSTOMER = "Bob Smith";
    public static final String EXISTING_CUSTOMER = "Philomela Deville";
    public static final int MAGIC_AGE = 35;
    
    public void testGetCustomers() throws Exception {
        ClientBean client = new ClientBean();
        String[] results = client.getCustomers(MAGIC_AGE);
        assertEquals("Wrong number of client names returned.", 55, results.length);
    }
        
    public void testRegisterNewCustomer() throws Exception{
        ClientBean client = new ClientBean();
        //register a customer that does not already exist
        assertTrue("Was not able to register " + NEW_CUSTOMER, client.register(NEW_CUSTOMER));
    }
    
    public void testRegisterExistingCustomer() throws Exception{
        ClientBean client = new ClientBean();
        //register a customer that DOES exist
        assertTrue("Was able to register an eisting cutomer (" + EXISTING_CUSTOMER 
                    + "). this should not be possible.",
                    ! client.register(EXISTING_CUSTOMER));
    }

}
