/*
 * CustomerManager.java
 *
 * Created on April 2, 2002, 10:08 PM
 */

package ajtest;

import java.rmi.*;
import javax.ejb.*;

public interface CustomerManager extends EJBObject {
  
  /**
   * Returns a String[] representing the names of customers in the system
   * over a certain age.
   */
  public String[] getCustomersOver(int ageInYears) throws RemoteException;
  
  /**
   * Registers a new customer with the system. If the customer already exists
   * within the system, this method throws a NameExistsException.
   */
  public void register(String name) throws RemoteException, NameExistsException;
}
