/*
 * MockCustomerManager.java
 *
 * Created on April 3, 2002, 11:02 PM
 */

package ajtest;
import java.rmi.*;
import javax.ejb.*;

    
/**
 * Note that this mock code couples very tightly with the test that it's
 * written for. Eventually we could refactor it to allow its behavior
 * to be customized externally. To simplify the example, however, 
 * I've left it like it is.
 */
public class MockCustomerManager  implements CustomerManager{
    
    public void register(String name) throws RemoteException, NameExistsException {
        if(!name.equals(ClientBeanTest.NEW_CUSTOMER)){
            throw new NameExistsException(name + " already exists!");
        }
    }
    
    public javax.ejb.EJBHome getEJBHome() throws java.rmi.RemoteException {
        throw new Error("Mock. Not implemented.");
    }
    
    public boolean isIdentical(javax.ejb.EJBObject eJBObject) throws java.rmi.RemoteException {
        throw new Error("Mock. Not implemented.");
    }
    
    public String[] getCustomersOver(int years) throws RemoteException {
        String[] customers = new String[55];
        for(int i = 0; i < customers.length; i++){
            customers[i] = "Customer Number " + i;
        }
        return customers;
    }
    
    public java.lang.Object getPrimaryKey() throws java.rmi.RemoteException {
        throw new Error("Mock. Not implemented.");
    }
    
    public javax.ejb.Handle getHandle() throws java.rmi.RemoteException {
        throw new Error("Mock. Not implemented.");
    }
    
    public void remove() throws java.rmi.RemoteException, javax.ejb.RemoveException {
        throw new Error("Mock. Not implemented.");
    }
    
}
