package ajtest;

import javax.naming.Context;

public aspect ObjectReplacement{
    
    /**
     * Defines a set of test methods.
     */
    pointcut inTest() : execution(public void ClientBeanTest.*());
    
    /**
     * Selects calls to Context.lookup occurring within test methods.
     */
    pointcut jndiLookup(String name) : cflow(inTest()) &&
                                       call(Object Context.lookup(String)) &&
                                       args(name);
    

    /**
     * This advice executes *instead of* Context.lookup
     */
    Object around(String name) : jndiLookup(name){
        
        if("java:comp/env/ejb/CustomerManager".equals(name)){
            return new MockCustomerManagerHome();
        }
        else{
            throw new Error("ClientBean should not lookup any EJBs except CustomerManager");
        }
    }
}