/*
 * ClientBean.java
 *
 * Created on April 2, 2002, 9:49 PM
 */

package ajtest;
import javax.naming.*;
/**
 *
 * @author  nick
 * @version 
 */
public class ClientBean {
    private Context initialContext;
    private CustomerManager manager;
    
    /** Creates new ClientBean */
    public ClientBean() throws Exception{
        initialContext = new InitialContext();
        Object obj = initialContext.lookup("java:comp/env/ejb/CustomerManager");
        CustomerManagerHome managerHome = (CustomerManagerHome)obj;
        /*Resin uses Burlap instead of RMI-IIOP as its default network protocol
         * so the usual RMI cast is omitted. Mock Objects survive the cast just fine.
         */
        //(CustomerManagerHome)javax.rmi.PortableRemoteObject.narrow(obj, CustomerManager.class);
        manager = managerHome.create();
    }
    
    public String[] getCustomers(int ageInYears) throws Exception{
        return manager.getCustomersOver(ageInYears);
    }
    
    public boolean register(String name) throws Exception{
        try{
            manager.register(name);
            return true;
        }
        catch(NameExistsException e){
            return false;
        }
    }
    
    public void rebind() throws Exception{
        initialContext.rebind("java:comp/env/ejb/CustomerManager", new Object());
    }

}
