package ajtest;

import javax.naming.*;
import junit.framework.*;
import org.apache.cactus.ServletTestCase;

public class ClientBeanTest extends TestCase {

    private ClientBean client;
    public static final String NEW_CUSTOMER = "Bob Smith";
    public static final String EXISTING_CUSTOMER = "Philomela Deville";
    
    public ClientBeanTest(java.lang.String testName) {
        super(testName);
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(ClientBeanTest.class);
        return suite;
    }
    
    public void setUp() throws Exception{
        client = new ClientBean();
    }
    
    /**
     * Non-isolated integration test: depends on knowledge about
     * the state of the System contacted.
     */
    public void testGetCustomers() throws Exception {
        String[] results = client.getCustomers(55);
        assertEquals(55, results.length);
    }
    
    /**
     * These two test will be advised by different aspects depending on the
     * deployment chosen.
     * One aspect that unplugs the client from the container (using Mock Objects)
     * and one will advises method calls to the actual customer manager ejb.
     */
    
    public void testRegisterNewCustomer() throws Exception{
        //register a customer that does not already exist
        assertTrue(client.register(NEW_CUSTOMER));
    }
    
    
    public void testRegisterExistingCustomer() throws Exception{
        //register a customer that DOES exist
        assertTrue(! client.register(EXISTING_CUSTOMER));
    }

}
